Subject: Re: [PATCH net-next 1/2] mlx4_en: Add PTP hardware clock

From: Richard Cochran <[email-masked]>
Date: Wed, 25 Dec 2013 12:53:24 +0100

On Tue, Dec 24, 2013 at 03:58:06PM +0200, Hadar Hen Zion wrote:
> 
> The spin locks case such a bottleneck since I'm using multiple
> streams in my performance test. RSS mechanism scattered the streams
> between multiple RX rings while each RX ring is bound to a different
> cup.
> The describe scenario cause lock contention between the different RX rings.
> 
> Performance drops from 37.8 Gbits/sec to 32.1 Gbits/sec when spin
> locks are added and goes back to 37.8 Gbits/sec when using
> read/write locks.

And you are time stamping every received packet?

Thanks,
Richard